; Script generated by the HM NIS Edit Script Wizard.

; HM NIS Edit Wizard helper defines
!define PRODUCT_NAME "ROME"
!define PRODUCT_VERSION "1.00"
!define PRODUCT_PUBLISHER "Matthias Schneebeli (PSI)"
!define PRODUCT_WEB_SITE "http://midas.psi.ch/rome/"
!define PRODUCT_UNINST_KEY "Software\Microsoft\Windows\CurrentVersion\Uninstall\${PRODUCT_NAME}"
!define PRODUCT_UNINST_ROOT_KEY "HKLM"
!include StrFunc.nsh

Name "${PRODUCT_NAME} ${PRODUCT_VERSION}"
OutFile "ROMESetup.exe"
LoadLanguageFile "${NSISDIR}\Contrib\Language files\English.nlf"
InstallDir "C:\rome"
Icon "icons\rome.ico"
UninstallIcon "icons\rome.ico"
DirText "Setup will install $(^Name) in the following folder.$\r$\n$\r$\nTo install in a different folder, click Browse and select another folder."
ShowInstDetails show
ShowUnInstDetails show
BrandingText /TRIMCENTER "Paul Scherrer Institute (PSI)"
SetFont "Times New Roman" 10
AddBrandingImage top 120 10

Page directory showImage

Function showImage
  GetTempFileName $0
  File /oname=$0 icons\rome_simple.bmp
  SetBrandingImage $0
  Delete $0
FunctionEnd

Page instfiles

Section "rome" SEC01
  SetOutPath "$INSTDIR"
  SetOverwrite ifnewer
  File "*.xsd"
  SetOutPath "$INSTDIR"
  File "Makefile*"
SectionEnd

Section "builder" SEC02
  SetOutPath "$INSTDIR\builder\src"
  SetOverwrite ifnewer
  File "builder\src\ROMEBuilder.cpp"
  SetOutPath "$INSTDIR\builder\include"
  File "builder\include\ROMEBuilder.h"
SectionEnd

Section "src" SEC03
  SetOutPath "$INSTDIR\src"
  SetOverwrite ifnewer
  File "src\*.cpp"
SectionEnd

Section "include" SEC04
  SetOutPath "$INSTDIR\include"
  SetOverwrite ifnewer
  File "include\*.h"
  SetOutPath "$INSTDIR\include\libxml"
  File "include\libxml\*.h"
  SetOutPath "$INSTDIR\include\mysql"
  File "include\mysql\*.h"
SectionEnd

Section "library" SEC05
  SetOutPath "$INSTDIR\lib_win"
  SetOverwrite ifnewer
  File "lib_win\*.lib"
  SetOutPath "$INSTDIR\bin"
  File "bin\*.dll"
SectionEnd

Section "icons" SEC06
  SetOutPath "$INSTDIR\icons"
  SetOverwrite ifnewer
  File "icons\rome.bmp"
  SetOutPath "$INSTDIR\icons"
  File "icons\rome.ico"
SectionEnd

Section "documentation" SEC07
  SetOutPath "$INSTDIR\documentation"
  SetOverwrite ifnewer
  File "documentation\*.*"
SectionEnd

${StrStr}
VAR ind
VAR reg
Section "registry" SEC08
  ReadRegStr $reg HKCU "Environment" "path"
  WriteRegStr HKCU "Environment" "ROMESYS" "$INSTDIR\"
  ${StrStr} $ind $reg "%ROMESYS%\bin"
  StrCmp $ind "" notfound found
notfound:
  WriteRegStr HKCU "Environment" "path" "$reg;%ROMESYS%\bin;"
found:
SectionEnd

Section -AdditionalIcons
  CreateDirectory "$SMPROGRAMS\ROME"
  CreateShortCut "$SMPROGRAMS\ROME\Uninstall.lnk" "$INSTDIR\uninst.exe"
SectionEnd

Section -Post
  WriteUninstaller "$INSTDIR\uninst.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayName" "$(^Name)"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "UninstallString" "$INSTDIR\uninst.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayVersion" "${PRODUCT_VERSION}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "URLInfoAbout" "${PRODUCT_WEB_SITE}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "Publisher" "${PRODUCT_PUBLISHER}"
SectionEnd


Function un.onUninstSuccess
  HideWindow
  MessageBox MB_ICONINFORMATION|MB_OK "$(^Name) was successfully removed from your computer."
FunctionEnd

Function un.onInit
  MessageBox MB_ICONQUESTION|MB_YESNO|MB_DEFBUTTON2 "Are you sure you want to completely remove $(^Name) and all of its components?" IDYES +2
  Abort
FunctionEnd

Section Uninstall
  Delete "$INSTDIR\uninst.exe"
  Delete "$INSTDIR\builder\include\*.*"
  Delete "$INSTDIR\builder\src\*.*"
  Delete "$INSTDIR\src\*.*"
  Delete "$INSTDIR\include\*.*"
  Delete "$INSTDIR\include\mysql\*.*"
  Delete "$INSTDIR\include\libxml\*.*"
  Delete "$INSTDIR\lib_win\*.*"
  Delete "$INSTDIR\bin\*.*"
  Delete "$INSTDIR\documentation\*.*"
  Delete "$INSTDIR\icons\*.*"
  Delete "$INSTDIR\*.*"

  Delete "$SMPROGRAMS\ROME\Uninstall.lnk"

  RMDir "$INSTDIR\builder\src"
  RMDir "$INSTDIR\builder\include"
  RMDir "$INSTDIR\builder"
  RMDir "$INSTDIR\src"
  RMDir "$INSTDIR\include\libxml"
  RMDir "$INSTDIR\include\mysql"
  RMDir "$INSTDIR\include"
  RMDir "$INSTDIR\lib_win"
  RMDir "$INSTDIR\bin"
  RMDir "$INSTDIR\documentation"
  RMDir "$INSTDIR\icons"
  RMDir "$INSTDIR"
  RMDir "$SMPROGRAMS\ROME"

  DeleteRegKey ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}"
  SetAutoClose true
SectionEnd
